## pydantic-core 2.11.0

=== tests/requirements.txt ===
coverage==7.2.7
dirty-equals==0.6.0
hypothesis==6.79.4
# pandas doesn't offer prebuilt wheels for all versions and platforms we test in CI e.g. aarch64 musllinux
pandas==2.0.3; python_version >= "3.9" and python_version < "3.12" and implementation_name == "cpython" and platform_machine == 'x86_64'
pytest==7.4.2
# we run codspeed benchmarks on x86_64 CPython (i.e. native github actions architecture)
pytest-codspeed~=2.2.0; implementation_name == "cpython" and platform_machine == 'x86_64'
pytest-examples==0.0.10
pytest-speed==0.3.5
pytest-mock==3.11.1
pytest-pretty==1.2.0
pytest-timeout==2.2.0
pytz==2023.3.post1
# numpy doesn't offer prebuilt wheels for all versions and platforms we test in CI e.g. aarch64 musllinux
numpy==1.25.2; python_version >= "3.9" and python_version < "3.12" and implementation_name == "cpython" and platform_machine == 'x86_64'
exceptiongroup==1.1; python_version < "3.11"

=== debian/changelog ===
pydantic-core (2.11.0-1) unstable; urgency=medium

  * Initial release (Closes: #1052619)

 -- Timo Röhling <roehling@debian.org>  Fri, 01 Mar 2024 11:26:55 +0100

=== debian/control ===
Source: pydantic-core
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Timo Röhling <roehling@debian.org>,
 Michael Banck <mbanck@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 cargo,
 dh-sequence-python3,
 libpython3-all-dev,
 librust-ahash-dev,
 librust-base64-dev,
 librust-enum-dispatch-dev,
 librust-idna-dev,
 librust-num-bigint-dev,
 librust-pyo3-dev,
 librust-python3-dll-a-dev,
 librust-regex-dev,
 librust-serde-dev,
 librust-serde-json-dev,
 librust-smallvec-dev,
 librust-speedate-dev,
 librust-strum-dev,
 librust-strum-macros-dev,
 librust-url-dev,
 librust-uuid-dev,
 pybuild-plugin-pyproject,
 python3-all-dev:any,
 python3-dirty-equals <!nocheck>,
 python3-hypothesis <!nocheck>,
 python3-maturin,
 python3-pytest <!nocheck>,
 python3-pytest-benchmark <!nocheck>,
 python3-pytest-mock <!nocheck>,
 python3-pytest-timeout <!nocheck>,
 python3-typing-extensions,
Homepage: https://github.com/pydantic/pydantic-core
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/pydantic-core.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pydantic-core
Testsuite: autopkgtest-pkg-pybuild
Description: Rust implementation of pydantic core functionality
 pydantic uses type hinting (PEP 484) and variable annotation (PEP 526) to
 validate that untrusted data takes the desired form. There is also support for
 an extension to dataclasses where the input data is validated.
 .
 The core library is implemented in Rust and up to seventeen times faster than
 the original pure Python implementation.

Package: python3-pydantic-core
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: ${source:Synopsis} (Python 3 module)
 ${source:Extended-Description}
 .
 This package installs the Python 3 module.

=== debian/rules ===
#!/usr/bin/make -f

export CARGO_HOME = $(CURDIR)/debian/cargo_home
export PYBUILD_NAME = pydantic-core
export DEB_BUILD_MAINT_OPTIONS = hardening=all

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_auto_clean:
	test ! -f Cargo.lock.saved || mv Cargo.lock.saved Cargo.lock

execute_before_dh_auto_build:
	mv Cargo.lock Cargo.lock.saved
	cargo generate-lockfile --offline

## pydantic-core 2.23.3

=== debian/changelog ===
pydantic-core (2.23.3-1) unstable; urgency=medium

  * Team upload.
  * Add Built-Using, X-Cargo-Built-Using, and Static-Built-Using fields
    (closes: #1081538).
  * Fix typo in DEB_BUILD_MAINT_OPTIONS hardening option.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Fri, 13 Sep 2024 00:27:43 +0100

pydantic-core (2.20.1-1) unstable; urgency=medium

  * New upstream release (closes: #1073481).

 -- Colin Watson <cjwatson@debian.org>  Sat, 07 Sep 2024 21:48:49 +0100

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,15 @@
 Build-Depends:
  debhelper-compat (= 13),
  cargo,
+ dh-cargo,
  dh-sequence-python3,
  libpython3-all-dev,
  librust-ahash-dev,
  librust-base64-dev,
  librust-enum-dispatch-dev,
+ librust-hex-dev,
  librust-idna-dev,
+ librust-jiter+python-dev,
  librust-num-bigint-dev,
  librust-pyo3-dev,
  librust-python3-dll-a-dev,
@@ -27,6 +30,7 @@
  librust-url-dev,
  librust-uuid-dev,
  pybuild-plugin-pyproject,
+ python3:native,
  python3-all-dev:any,
  python3-dirty-equals <!nocheck>,
  python3-hypothesis <!nocheck>,
@@ -60,4 +64,6 @@
  ${source:Extended-Description}
  .
  This package installs the Python 3 module.
-
+Built-Using: ${cargo:Built-Using}
+XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
+Static-Built-Using: ${cargo:Static-Built-Using}

## pydantic-core 2.23.4

=== debian/changelog ===
pydantic-core (2.23.4-2) unstable; urgency=medium

  * Team upload.
  * Drop patch to use base64 0.21.x (closes: #1084322).

 -- Colin Watson <cjwatson@debian.org>  Mon, 07 Oct 2024 10:39:46 +0100

pydantic-core (2.23.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 17 Sep 2024 11:18:56 +0100

## pydantic-core 2.27.2

=== Makefile ===
.DEFAULT_GOAL := all
sources = python/pydantic_core tests generate_self_schema.py wasm-preview/run_tests.py

# using pip install cargo (via maturin via pip) doesn't get the tty handle
# so doesn't render color without some help
export CARGO_TERM_COLOR=$(shell (test -t 0 && echo "always") || echo "auto")
# maturin develop only makes sense inside a virtual env, is otherwise
# more or less equivalent to pip install -e just a little nicer
USE_MATURIN = $(shell [ "$$VIRTUAL_ENV" != "" ] && (which maturin))

.PHONY: .uv  ## Check that uv is installed
.uv:
	@uv -V || echo 'Please install uv: https://docs.astral.sh/uv/getting-started/installation/'

.PHONY: .pre-commit  ## Check that pre-commit is installed
.pre-commit:
	@pre-commit -V || echo 'Please install pre-commit: https://pre-commit.com/'

.PHONY: install
install: .uv .pre-commit
	uv pip install -U wheel
	uv sync --frozen --group all
	uv pip install -v -e .
	pre-commit install

.PHONY: rebuild-lockfiles  ## Rebuild lockfiles from scratch, updating all dependencies
rebuild-lockfiles: .uv
	uv lock --upgrade

.PHONY: install-rust-coverage
install-rust-coverage:
	cargo install rustfilt coverage-prepare
	rustup component add llvm-tools-preview

.PHONY: install-pgo
	rustup component add llvm-tools-preview

.PHONY: build-dev
build-dev:
	@rm -f python/pydantic_core/*.so
ifneq ($(USE_MATURIN),)
	uv run maturin develop
else
	uv pip install --force-reinstall -v -e . --config-settings=build-args='--profile dev'
endif

.PHONY: build-prod
build-prod:
	@rm -f python/pydantic_core/*.so
ifneq ($(USE_MATURIN),)
	uv run maturin develop --release
else
	uv pip install -v -e .
endif

.PHONY: build-profiling
build-profiling:
	@rm -f python/pydantic_core/*.so
ifneq ($(USE_MATURIN),)
	uv run maturin develop --profile profiling
else
	uv pip install --force-reinstall -v -e . --config-settings=build-args='--profile profiling'
endif

.PHONY: build-coverage
build-coverage:
	@rm -f python/pydantic_core/*.so
ifneq ($(USE_MATURIN),)
	RUSTFLAGS='-C instrument-coverage' uv run maturin develop --release
else
	RUSTFLAGS='-C instrument-coverage' uv pip install -v -e .
endif

.PHONY: build-pgo
build-pgo:
	@rm -f python/pydantic_core/*.so
	$(eval PROFDATA := $(shell mktemp -d))
ifneq ($(USE_MATURIN),)
	RUSTFLAGS='-Cprofile-generate=$(PROFDATA)' uv run maturin develop --release
else
	RUSTFLAGS='-Cprofile-generate=$(PROFDATA)' uv pip install --force-reinstall -v -e .
endif
	pytest tests/benchmarks
	$(eval LLVM_PROFDATA := $(shell rustup run stable bash -c 'echo $$RUSTUP_HOME/toolchains/$$RUSTUP_TOOLCHAIN/lib/rustlib/$$(rustc -Vv | grep host | cut -d " " -f 2)/bin/llvm-profdata'))
	$(LLVM_PROFDATA) merge -o $(PROFDATA)/merged.profdata $(PROFDATA)
ifneq ($(USE_MATURIN),)
	RUSTFLAGS='-Cprofile-use=$(PROFDATA)/merged.profdata' uv run maturin develop --release
else
	RUSTFLAGS='-Cprofile-use=$(PROFDATA)/merged.profdata' uv pip install --force-reinstall -v -e .
endif
	@rm -rf $(PROFDATA)


.PHONY: build-wasm
build-wasm:
	@echo 'This requires python 3.12, maturin and emsdk to be installed'
	uv run maturin build --release --target wasm32-unknown-emscripten --out dist -i 3.12
	ls -lh dist

.PHONY: format
format:
	uv run ruff check --fix $(sources)
	uv run ruff format $(sources)
	cargo fmt

.PHONY: lint-python
lint-python:
	uv run ruff check $(sources)
	uv run ruff format --check $(sources)
	uv run griffe dump -f -d google -LWARNING -o/dev/null python/pydantic_core

.PHONY: lint-rust
lint-rust:
	cargo fmt --version
	cargo fmt --all -- --check
	cargo clippy --version
	cargo clippy --tests -- -D warnings

.PHONY: lint
lint: lint-python lint-rust

.PHONY: pyright
pyright:
	uv run pyright

.PHONY: test
test:
	uv run pytest

.PHONY: testcov
testcov: build-coverage
	@rm -rf htmlcov
	@mkdir -p htmlcov
	coverage run -m pytest
	coverage report
	coverage html -d htmlcov/python
	coverage-prepare html python/pydantic_core/*.so

.PHONY: all
all: format build-dev lint test

.PHONY: clean
clean:
	rm -rf `find . -name __pycache__`
	rm -f `find . -type f -name '*.py[co]' `
	rm -f `find . -type f -name '*~' `
	rm -f `find . -type f -name '.*~' `
	rm -rf src/self_schema.py
	rm -rf .cache
	rm -rf htmlcov
	rm -rf .pytest_cache
	rm -rf *.egg-info
	rm -f .coverage
	rm -f .coverage.*
	rm -rf build
	rm -rf perf.data*
	rm -rf python/pydantic_core/*.so

=== debian/changelog ===
pydantic-core (2.27.2-3build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 21:57:21 +0000

pydantic-core (2.27.2-3) unstable; urgency=medium

  * Add Breaks on python3-pydantic (<< 2.10.6-2~).

 -- Colin Watson <cjwatson@debian.org>  Thu, 10 Apr 2025 09:28:10 +0100

pydantic-core (2.27.2-2) unstable; urgency=medium

  * Add myself to Uploaders.
  * Drop patch to use idna 0.4.x.
  * Adjust tests for url 2.5.4 (closes: #1101417).

 -- Colin Watson <cjwatson@debian.org>  Sun, 06 Apr 2025 13:08:44 +0100

pydantic-core (2.27.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Wed, 18 Dec 2024 23:11:09 +0000

pydantic-core (2.27.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 24 Nov 2024 16:18:37 +0000

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders:
  Timo Röhling <roehling@debian.org>,
  Michael Banck <mbanck@debian.org>,
+ Colin Watson <cjwatson@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  cargo,
@@ -15,8 +16,8 @@
  librust-base64-dev,
  librust-enum-dispatch-dev,
  librust-hex-dev,
- librust-idna-dev,
- librust-jiter+python-dev,
+ librust-idna-dev (>= 1.0.2),
+ librust-jiter+python-dev (>= 0.7.1),
  librust-num-bigint-dev,
  librust-pyo3-dev,
  librust-python3-dll-a-dev,
@@ -24,16 +25,17 @@
  librust-serde-dev,
  librust-serde-json-dev,
  librust-smallvec-dev,
- librust-speedate-dev,
+ librust-speedate-dev (>= 0.15.0),
  librust-strum-dev,
  librust-strum-macros-dev,
- librust-url-dev,
+ librust-url-dev (>= 2.5.4),
  librust-uuid-dev,
  pybuild-plugin-pyproject,
  python3:native,
  python3-all-dev:any,
  python3-dirty-equals <!nocheck>,
  python3-hypothesis <!nocheck>,
+ python3-inline-snapshot <!nocheck>,
  python3-maturin,
  python3-pytest <!nocheck>,
  python3-pytest-benchmark <!nocheck>,
@@ -60,6 +62,8 @@
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
+Breaks:
+ python3-pydantic (<< 2.10.6-2~),
 Description: ${source:Synopsis} (Python 3 module)
  ${source:Extended-Description}
  .

## pydantic-core 2.37.2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,7 @@
 .DEFAULT_GOAL := all
-sources = python/pydantic_core tests generate_self_schema.py wasm-preview/run_tests.py
+sources = python/pydantic_core tests wasm-preview/run_tests.py
+
+mypy-stubtest = uv run python -m mypy.stubtest pydantic_core._pydantic_core --allowlist .mypy-stubtest-allowlist
 
 # using pip install cargo (via maturin via pip) doesn't get the tty handle
 # so doesn't render color without some help
@@ -38,56 +40,32 @@
 .PHONY: build-dev
 build-dev:
 	@rm -f python/pydantic_core/*.so
-ifneq ($(USE_MATURIN),)
-	uv run maturin develop
-else
-	uv pip install --force-reinstall -v -e . --config-settings=build-args='--profile dev'
-endif
+	uv run maturin develop --uv
 
 .PHONY: build-prod
 build-prod:
 	@rm -f python/pydantic_core/*.so
-ifneq ($(USE_MATURIN),)
-	uv run maturin develop --release
-else
-	uv pip install -v -e .
-endif
+	uv run maturin develop --uv --release
 
 .PHONY: build-profiling
 build-profiling:
 	@rm -f python/pydantic_core/*.so
-ifneq ($(USE_MATURIN),)
-	uv run maturin develop --profile profiling
-else
-	uv pip install --force-reinstall -v -e . --config-settings=build-args='--profile profiling'
-endif
+	uv run maturin develop --uv --profile profiling
 
 .PHONY: build-coverage
 build-coverage:
 	@rm -f python/pydantic_core/*.so
-ifneq ($(USE_MATURIN),)
-	RUSTFLAGS='-C instrument-coverage' uv run maturin develop --release
-else
-	RUSTFLAGS='-C instrument-coverage' uv pip install -v -e .
-endif
+	RUSTFLAGS='-C instrument-coverage' uv run maturin develop --uv --release
 
 .PHONY: build-pgo
 build-pgo:
 	@rm -f python/pydantic_core/*.so
 	$(eval PROFDATA := $(shell mktemp -d))
-ifneq ($(USE_MATURIN),)
-	RUSTFLAGS='-Cprofile-generate=$(PROFDATA)' uv run maturin develop --release
-else
-	RUSTFLAGS='-Cprofile-generate=$(PROFDATA)' uv pip install --force-reinstall -v -e .
-endif
+	RUSTFLAGS='-Cprofile-generate=$(PROFDATA)' uv run maturin develop --uv --release
 	pytest tests/benchmarks
 	$(eval LLVM_PROFDATA := $(shell rustup run stable bash -c 'echo $$RUSTUP_HOME/toolchains/$$RUSTUP_TOOLCHAIN/lib/rustlib/$$(rustc -Vv | grep host | cut -d " " -f 2)/bin/llvm-profdata'))
 	$(LLVM_PROFDATA) merge -o $(PROFDATA)/merged.profdata $(PROFDATA)
-ifneq ($(USE_MATURIN),)
-	RUSTFLAGS='-Cprofile-use=$(PROFDATA)/merged.profdata' uv run maturin develop --release
-else
-	RUSTFLAGS='-Cprofile-use=$(PROFDATA)/merged.profdata' uv pip install --force-reinstall -v -e .
-endif
+	RUSTFLAGS='-Cprofile-use=$(PROFDATA)/merged.profdata' uv run maturin develop --uv --release
 	@rm -rf $(PROFDATA)
 
 
@@ -108,6 +86,7 @@
 	uv run ruff check $(sources)
 	uv run ruff format --check $(sources)
 	uv run griffe dump -f -d google -LWARNING -o/dev/null python/pydantic_core
+	$(mypy-stubtest)
 
 .PHONY: lint-rust
 lint-rust:
@@ -145,7 +124,6 @@
 	rm -f `find . -type f -name '*.py[co]' `
 	rm -f `find . -type f -name '*~' `
 	rm -f `find . -type f -name '.*~' `
-	rm -rf src/self_schema.py
 	rm -rf .cache
 	rm -rf htmlcov
 	rm -rf .pytest_cache

=== debian/changelog ===
pydantic-core (2.37.2-2) unstable; urgency=medium

  * Accept pyo3 0.26.

 -- Colin Watson <cjwatson@debian.org>  Sun, 12 Oct 2025 21:24:53 +0100

pydantic-core (2.37.2-1) unstable; urgency=medium

  * New upstream release.
  * Backport upstream patch to fix test failures with pytest 8.4.

 -- Colin Watson <cjwatson@debian.org>  Thu, 21 Aug 2025 16:32:25 +0100

=== debian/control ===
--- 
+++ 
@@ -12,20 +12,20 @@
  dh-cargo,
  dh-sequence-python3,
  libpython3-all-dev,
- librust-ahash-dev,
+ librust-ahash-dev (>= 0.8.12),
  librust-base64-dev,
  librust-enum-dispatch-dev,
  librust-hex-dev,
- librust-idna-dev (>= 1.0.2),
- librust-jiter+python-dev (>= 0.7.1),
+ librust-idna-dev (>= 1.0.3),
+ librust-jiter+python-dev (>= 0.10.0),
  librust-num-bigint-dev,
- librust-pyo3-dev,
- librust-python3-dll-a-dev,
+ librust-num-traits-dev (>= 0.2.19),
+ librust-pyo3-dev (>= 0.25),
  librust-regex-dev,
  librust-serde-dev,
- librust-serde-json-dev,
- librust-smallvec-dev,
- librust-speedate-dev (>= 0.15.0),
+ librust-serde-json-dev (>= 1.0.140),
+ librust-smallvec-dev (>= 1.15.1),
+ librust-speedate-dev (>= 0.16.0),
  librust-strum-dev,
  librust-strum-macros-dev,
  librust-url-dev (>= 2.5.4),
@@ -40,8 +40,10 @@
  python3-pytest <!nocheck>,
  python3-pytest-benchmark <!nocheck>,
  python3-pytest-mock <!nocheck>,
+ python3-pytest-run-parallel <!nocheck>,
  python3-pytest-timeout <!nocheck>,
- python3-typing-extensions,
+ python3-typing-extensions (>= 4.14.1),
+ python3-typing-inspection <!nocheck>,
 Homepage: https://github.com/pydantic/pydantic-core
 Standards-Version: 4.6.2
 Rules-Requires-Root: no

## pydantic-core 2.41.4

=== Makefile ===
--- 
+++ 
@@ -14,50 +14,45 @@
 .uv:
 	@uv -V || echo 'Please install uv: https://docs.astral.sh/uv/getting-started/installation/'
 
-.PHONY: .pre-commit  ## Check that pre-commit is installed
-.pre-commit:
-	@pre-commit -V || echo 'Please install pre-commit: https://pre-commit.com/'
-
-.PHONY: install
-install: .uv .pre-commit
-	uv pip install -U wheel
+.PHONY: install  ## Install the package, dependencies, and pre-commit for local development
+install: .uv
 	uv sync --frozen --group all
-	uv pip install -v -e .
-	pre-commit install
+	uv run pre-commit install --install-hooks
 
 .PHONY: rebuild-lockfiles  ## Rebuild lockfiles from scratch, updating all dependencies
 rebuild-lockfiles: .uv
 	uv lock --upgrade
 
-.PHONY: install-rust-coverage
+.PHONY: install-rust-coverage  ## Install Rust coverage tools
 install-rust-coverage:
 	cargo install rustfilt coverage-prepare
 	rustup component add llvm-tools-preview
 
-.PHONY: install-pgo
+.PHONY: install-pgo  ## Install Rust PGO tools
+install-pgo:
 	rustup component add llvm-tools-preview
 
-.PHONY: build-dev
+.PHONY: build-dev  ## Build the development version of the package
 build-dev:
 	@rm -f python/pydantic_core/*.so
 	uv run maturin develop --uv
 
-.PHONY: build-prod
+.PHONY: build-prod  ## Build the production version of the package
 build-prod:
 	@rm -f python/pydantic_core/*.so
 	uv run maturin develop --uv --release
 
-.PHONY: build-profiling
+.PHONY: build-profiling  ## Build the profiling version of the package
 build-profiling:
 	@rm -f python/pydantic_core/*.so
 	uv run maturin develop --uv --profile profiling
 
-.PHONY: build-coverage
+.PHONY: build-coverage  ## Build the coverage version of the package
 build-coverage:
 	@rm -f python/pydantic_core/*.so
 	RUSTFLAGS='-C instrument-coverage' uv run maturin develop --uv --release
 
-.PHONY: build-pgo
+.PHONY: build-pgo  ## Build the PGO version of the package
 build-pgo:
 	@rm -f python/pydantic_core/*.so
 	$(eval PROFDATA := $(shell mktemp -d))
@@ -69,44 +64,44 @@
 	@rm -rf $(PROFDATA)
 
 
-.PHONY: build-wasm
+.PHONY: build-wasm  ## Build the WebAssembly version of the package
 build-wasm:
 	@echo 'This requires python 3.12, maturin and emsdk to be installed'
 	uv run maturin build --release --target wasm32-unknown-emscripten --out dist -i 3.12
 	ls -lh dist
 
-.PHONY: format
+.PHONY: format  ## Auto-format rust and python source files
 format:
 	uv run ruff check --fix $(sources)
 	uv run ruff format $(sources)
 	cargo fmt
 
-.PHONY: lint-python
+.PHONY: lint-python  ## Lint python source files
 lint-python:
 	uv run ruff check $(sources)
 	uv run ruff format --check $(sources)
 	uv run griffe dump -f -d google -LWARNING -o/dev/null python/pydantic_core
 	$(mypy-stubtest)
 
-.PHONY: lint-rust
+.PHONY: lint-rust  ## Lint rust source files
 lint-rust:
 	cargo fmt --version
 	cargo fmt --all -- --check
 	cargo clippy --version
 	cargo clippy --tests -- -D warnings
 
-.PHONY: lint
+.PHONY: lint  ## Lint rust and python source files
 lint: lint-python lint-rust
 
-.PHONY: pyright
+.PHONY: pyright  ## Perform type-checking with pyright
 pyright:
 	uv run pyright
 
-.PHONY: test
+.PHONY: test  ## Run all tests
 test:
 	uv run pytest
 
-.PHONY: testcov
+.PHONY: testcov  ## Run tests and generate a coverage report
 testcov: build-coverage
 	@rm -rf htmlcov
 	@mkdir -p htmlcov
@@ -115,10 +110,10 @@
 	coverage html -d htmlcov/python
 	coverage-prepare html python/pydantic_core/*.so
 
-.PHONY: all
+.PHONY: all  ## Run the standard set of checks performed in CI
 all: format build-dev lint test
 
-.PHONY: clean
+.PHONY: clean  ## Clear local caches and build artifacts
 clean:
 	rm -rf `find . -name __pycache__`
 	rm -f `find . -type f -name '*.py[co]' `
@@ -133,3 +128,10 @@
 	rm -rf build
 	rm -rf perf.data*
 	rm -rf python/pydantic_core/*.so
+
+.PHONY: help  ## Display this message
+help:
+	@grep -E \
+		'^.PHONY: .*?## .*$$' $(MAKEFILE_LIST) | \
+		sort | \
+		awk 'BEGIN {FS = ".PHONY: |## "}; {printf "\033[36m%-19s\033[0m %s\n", $$2, $$3}'

=== debian/changelog ===
pydantic-core (2.41.4-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Fri, 17 Oct 2025 11:29:26 +0100

=== debian/control ===
--- 
+++ 
@@ -16,20 +16,21 @@
  librust-base64-dev,
  librust-enum-dispatch-dev,
  librust-hex-dev,
- librust-idna-dev (>= 1.0.3),
- librust-jiter+python-dev (>= 0.10.0),
+ librust-idna-dev (>= 1.1.0),
+ librust-jiter+python-dev (>= 0.11.0),
  librust-num-bigint-dev,
  librust-num-traits-dev (>= 0.2.19),
- librust-pyo3-dev (>= 0.25),
- librust-regex-dev,
+ librust-percent-encoding-dev,
+ librust-pyo3-dev (>= 0.26),
+ librust-regex-dev (>= 1.11.3),
  librust-serde-dev,
- librust-serde-json-dev (>= 1.0.140),
+ librust-serde-json-dev (>= 1.0.143),
  librust-smallvec-dev (>= 1.15.1),
- librust-speedate-dev (>= 0.16.0),
+ librust-speedate-dev (>= 0.17.0),
  librust-strum-dev,
  librust-strum-macros-dev,
  librust-url-dev (>= 2.5.4),
- librust-uuid-dev,
+ librust-uuid-dev (>= 1.18.1),
  pybuild-plugin-pyproject,
  python3:native,
  python3-all-dev:any,
@@ -45,7 +46,7 @@
  python3-typing-extensions (>= 4.14.1),
  python3-typing-inspection <!nocheck>,
 Homepage: https://github.com/pydantic/pydantic-core
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/pydantic-core.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pydantic-core

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
include /usr/share/rustc/architecture.mk
export DEB_HOST_RUST_TYPE

export PATH := /usr/share/cargo/bin:$(PATH)
export CARGO_HOME = $(CURDIR)/debian/cargo_home
export DEB_CARGO_CRATE = $(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)
export PYBUILD_NAME = pydantic-core
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_auto_clean:
	test ! -f Cargo.lock.saved || mv Cargo.lock.saved Cargo.lock

execute_before_dh_auto_configure:
	cargo prepare-debian debian/cargo_registry --link-from-system

execute_before_dh_auto_build:
	mv Cargo.lock Cargo.lock.saved
	cargo generate-lockfile --offline

execute_after_dh_auto_install:
	dh-cargo-built-using python3-pydantic-core

=== debian/watch ===
version=4
opts=searchmode=plain,filenamemangle=s%(?:.*?/)?v?@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,uversionmangle=s%[.-]?(a|b|c|rc|dev|pre)%~$1% \
 https://api.github.com/repos/pydantic/pydantic-core/tags \
 tarball/(?:[^"]*?/)?[a-z]*@ANY_VERSION@

## pydantic-core 2.41.5

=== debian/changelog ===
pydantic-core (2.41.5-2) unstable; urgency=medium

  [ Peter Michael Green ]
  * Apply upstream patch for pyo3 0.27 and jiter 0.12 (closes: #1121035)
  * Update build-depends for pyo3 0.27 and jiter 0.12
  * Add missing build-depends for pyo3-build-config crate

 -- Colin Watson <cjwatson@debian.org>  Thu, 20 Nov 2025 10:18:39 +0000

pydantic-core (2.41.5-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Thu, 06 Nov 2025 17:35:08 +0000

=== debian/control ===
--- 
+++ 
@@ -17,11 +17,12 @@
  librust-enum-dispatch-dev,
  librust-hex-dev,
  librust-idna-dev (>= 1.1.0),
- librust-jiter+python-dev (>= 0.11.0),
+ librust-jiter-0.12+python-dev,
  librust-num-bigint-dev,
  librust-num-traits-dev (>= 0.2.19),
  librust-percent-encoding-dev,
- librust-pyo3-dev (>= 0.26),
+ librust-pyo3-0.27-dev,
+ librust-pyo3-build-config-0.27-dev,
  librust-regex-dev (>= 1.11.3),
  librust-serde-dev,
  librust-serde-json-dev (>= 1.0.143),
